TechDraw ShowAll/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Программирование==")
(Updating to match new version of source page)
 
(4 intermediate revisions by 2 users not shown)
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand
{{GuiCommand/ru
|Name=TechDraw ShowAll
|Name/ru=Показать/скрыть невидимые края
|Name=TechDraw_ShowAll
|MenuLocation=TechDraw → ShowAll
|MenuLocation=TechDraw → ShowAll
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Workbenches=[[TechDraw_Workbench/ru|TechDraw]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_DecorateLine|TechDraw Change Appearance of Line(s)]]
|SeeAlso=[[TechDraw_DecorateLine/ru|Изменить внешний вид линий]]
}}
}}
</div>


<span id="Description"></span>
==Описание==
==Описание==


The ShowAll tool shows or hide invisible lines in a View. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.
The '''TechDraw ShowAll''' tool is intended to temporarily show, and then hide, invisible lines in a View. Lines can be made invisible with the [[TechDraw_DecorateLine|TechDraw DecorateLine]] tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.


<span id="Usage"></span>
==Применение==
==Применение==


# Select a View on a Page or in the tree.
# Select a View with invisible lines on a Page or in the [[Tree_view|Tree view]].
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:TechDraw_ShowAll.svg|16px]] [[TechDraw_ShowAll|Show/Hide Invisible Edges]]}} button
#* Press the {{Button|[[Image:TechDraw_ShowAll.svg|16px]] [[TechDraw_ShowAll|Show/Hide Invisible Edges]]}} button.
# The state of the invisible lines in the View will be reversed.
#* Select the {{MenuCommand|TechDraw → Add Lines → [[Image:TechDraw_ShowAll.svg|16px]] Show/Hide Invisible Edges}} option from the menu.
# All invisible lines in the View are either shown or hidden.


==Notes==
==Свойства==


* To make invisible lines permanently visible use [[Image:TechDraw_DecorateLine.svg|16px]] [[TechDraw_DecorateLine|TechDraw DecorateLine]].
The ShowAll tool has no properties, as it is not a Document Object.


<span id="Scripting"></span>
==Программирование==
==Программирование==


{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|См. так же:}} [[TechDraw_API/ru|TechDraw API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов FreeCAD]].


The effect of the ShowAll tool can be duplicated in [[Macros|macros]] or the [[Python|Python]] console.
The effect of the ShowAll tool can be duplicated in [[Macros|macros]] or the [[Python|Python]] console.
{{Code|code=
{{Code|code=
>>> v = App.ActiveDocument.View
v = App.ActiveDocument.View
>>> vvo = v.ViewObject
vvo = v.ViewObject
>>> vvo.ShowAllEdges = True
vvo.ShowAllEdges = True
>>> App.activeDocument().recompute()
App.ActiveDocument.recompute()
}}
}}




{{Docnav
{{Docnav/ru
|[[TechDraw_DecorateLine|DecorateLine]]
|[[TechDraw_DecorateLine/ru|Изменить внешний вид линий]]
|[[TechDraw_WeldSymbol|WeldSymbol]]
|[[TechDraw_WeldSymbol/ru|Добавить информацию о сварке в указательную линию]]
|[[TechDraw_Workbench|TechDraw]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|IconL=TechDraw_DecorateLine.svg
|IconL=TechDraw_DecorateLine.svg
|IconR=TechDraw_WeldSymbol.svg
|IconR=TechDraw_WeldSymbol.svg

Latest revision as of 20:08, 26 July 2023

Other languages:

Показать/скрыть невидимые края

Системное название
TechDraw_ShowAll
Расположение в меню
TechDraw → ShowAll
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Изменить внешний вид линий

Описание

The TechDraw ShowAll tool is intended to temporarily show, and then hide, invisible lines in a View. Lines can be made invisible with the TechDraw DecorateLine tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.

Применение

  1. Select a View with invisible lines on a Page or in the Tree view.
  2. There are several ways to invoke the tool:
    • Press the Show/Hide Invisible Edges button.
    • Select the TechDraw → Add Lines → Show/Hide Invisible Edges option from the menu.
  3. All invisible lines in the View are either shown or hidden.

Notes

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The effect of the ShowAll tool can be duplicated in macros or the Python console.

v = App.ActiveDocument.View
vvo = v.ViewObject
vvo.ShowAllEdges = True
App.ActiveDocument.recompute()